Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network137.2.0.0/15
Usable hosts131,070
Subnet mask255.254.0.0
Addresses131,072
Network address
137.2.0.0
Broadcast address
137.3.255.255
First usable
137.2.0.1
Last usable
137.3.255.254
Usable hosts
131,070 (131,072 less the network and broadcast addresses)
Subnet mask
255.254.0.0
Wildcard mask
0.1.255.255 (Cisco ACLs, OSPF)
Prefix length
/15
Type
Public public
Old class
B (default /16)
As numbers
Hex 89020000 · Integer 2298609664 to 2298740735
Reverse DNS zones
2.137.in-addr.arpa
3.137.in-addr.arpa
/15 is not on a 8-bit boundary, so it takes 2 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10001001.00000010.00000000.00000000137.2.0.0
Subnet mask11111111.11111110.00000000.00000000255.254.0.0
Network10001001.00000010.00000000.00000000137.2.0.0
Broadcast10001001.00000011.11111111.11111111137.3.255.255
Split into smaller subnets/22

137.2.0.0/15 makes 128 subnets of /22.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1137.2.0.0/22137.2.0.1 to 137.2.3.254137.2.3.2551,022
2137.2.4.0/22137.2.4.1 to 137.2.7.254137.2.7.2551,022
3137.2.8.0/22137.2.8.1 to 137.2.11.254137.2.11.2551,022
4137.2.12.0/22137.2.12.1 to 137.2.15.254137.2.15.2551,022
5137.2.16.0/22137.2.16.1 to 137.2.19.254137.2.19.2551,022
6137.2.20.0/22137.2.20.1 to 137.2.23.254137.2.23.2551,022
7137.2.24.0/22137.2.24.1 to 137.2.27.254137.2.27.2551,022
8137.2.28.0/22137.2.28.1 to 137.2.31.254137.2.31.2551,022
9137.2.32.0/22137.2.32.1 to 137.2.35.254137.2.35.2551,022
10137.2.36.0/22137.2.36.1 to 137.2.39.254137.2.39.2551,022
11137.2.40.0/22137.2.40.1 to 137.2.43.254137.2.43.2551,022
12137.2.44.0/22137.2.44.1 to 137.2.47.254137.2.47.2551,022
13137.2.48.0/22137.2.48.1 to 137.2.51.254137.2.51.2551,022
14137.2.52.0/22137.2.52.1 to 137.2.55.254137.2.55.2551,022
15137.2.56.0/22137.2.56.1 to 137.2.59.254137.2.59.2551,022
16137.2.60.0/22137.2.60.1 to 137.2.63.254137.2.63.2551,022
17137.2.64.0/22137.2.64.1 to 137.2.67.254137.2.67.2551,022
18137.2.68.0/22137.2.68.1 to 137.2.71.254137.2.71.2551,022
19137.2.72.0/22137.2.72.1 to 137.2.75.254137.2.75.2551,022
20137.2.76.0/22137.2.76.1 to 137.2.79.254137.2.79.2551,022
21137.2.80.0/22137.2.80.1 to 137.2.83.254137.2.83.2551,022
22137.2.84.0/22137.2.84.1 to 137.2.87.254137.2.87.2551,022
23137.2.88.0/22137.2.88.1 to 137.2.91.254137.2.91.2551,022
24137.2.92.0/22137.2.92.1 to 137.2.95.254137.2.95.2551,022
25137.2.96.0/22137.2.96.1 to 137.2.99.254137.2.99.2551,022
26137.2.100.0/22137.2.100.1 to 137.2.103.254137.2.103.2551,022
27137.2.104.0/22137.2.104.1 to 137.2.107.254137.2.107.2551,022
28137.2.108.0/22137.2.108.1 to 137.2.111.254137.2.111.2551,022
29137.2.112.0/22137.2.112.1 to 137.2.115.254137.2.115.2551,022
30137.2.116.0/22137.2.116.1 to 137.2.119.254137.2.119.2551,022
31137.2.120.0/22137.2.120.1 to 137.2.123.254137.2.123.2551,022
32137.2.124.0/22137.2.124.1 to 137.2.127.254137.2.127.2551,022
33137.2.128.0/22137.2.128.1 to 137.2.131.254137.2.131.2551,022
34137.2.132.0/22137.2.132.1 to 137.2.135.254137.2.135.2551,022
35137.2.136.0/22137.2.136.1 to 137.2.139.254137.2.139.2551,022
36137.2.140.0/22137.2.140.1 to 137.2.143.254137.2.143.2551,022
37137.2.144.0/22137.2.144.1 to 137.2.147.254137.2.147.2551,022
38137.2.148.0/22137.2.148.1 to 137.2.151.254137.2.151.2551,022
39137.2.152.0/22137.2.152.1 to 137.2.155.254137.2.155.2551,022
40137.2.156.0/22137.2.156.1 to 137.2.159.254137.2.159.2551,022
41137.2.160.0/22137.2.160.1 to 137.2.163.254137.2.163.2551,022
42137.2.164.0/22137.2.164.1 to 137.2.167.254137.2.167.2551,022
43137.2.168.0/22137.2.168.1 to 137.2.171.254137.2.171.2551,022
44137.2.172.0/22137.2.172.1 to 137.2.175.254137.2.175.2551,022
45137.2.176.0/22137.2.176.1 to 137.2.179.254137.2.179.2551,022
46137.2.180.0/22137.2.180.1 to 137.2.183.254137.2.183.2551,022
47137.2.184.0/22137.2.184.1 to 137.2.187.254137.2.187.2551,022
48137.2.188.0/22137.2.188.1 to 137.2.191.254137.2.191.2551,022
49137.2.192.0/22137.2.192.1 to 137.2.195.254137.2.195.2551,022
50137.2.196.0/22137.2.196.1 to 137.2.199.254137.2.199.2551,022
51137.2.200.0/22137.2.200.1 to 137.2.203.254137.2.203.2551,022
52137.2.204.0/22137.2.204.1 to 137.2.207.254137.2.207.2551,022
53137.2.208.0/22137.2.208.1 to 137.2.211.254137.2.211.2551,022
54137.2.212.0/22137.2.212.1 to 137.2.215.254137.2.215.2551,022
55137.2.216.0/22137.2.216.1 to 137.2.219.254137.2.219.2551,022
56137.2.220.0/22137.2.220.1 to 137.2.223.254137.2.223.2551,022
57137.2.224.0/22137.2.224.1 to 137.2.227.254137.2.227.2551,022
58137.2.228.0/22137.2.228.1 to 137.2.231.254137.2.231.2551,022
59137.2.232.0/22137.2.232.1 to 137.2.235.254137.2.235.2551,022
60137.2.236.0/22137.2.236.1 to 137.2.239.254137.2.239.2551,022
61137.2.240.0/22137.2.240.1 to 137.2.243.254137.2.243.2551,022
62137.2.244.0/22137.2.244.1 to 137.2.247.254137.2.247.2551,022
63137.2.248.0/22137.2.248.1 to 137.2.251.254137.2.251.2551,022
64137.2.252.0/22137.2.252.1 to 137.2.255.254137.2.255.2551,022
65137.3.0.0/22137.3.0.1 to 137.3.3.254137.3.3.2551,022
66137.3.4.0/22137.3.4.1 to 137.3.7.254137.3.7.2551,022
67137.3.8.0/22137.3.8.1 to 137.3.11.254137.3.11.2551,022
68137.3.12.0/22137.3.12.1 to 137.3.15.254137.3.15.2551,022
69137.3.16.0/22137.3.16.1 to 137.3.19.254137.3.19.2551,022
70137.3.20.0/22137.3.20.1 to 137.3.23.254137.3.23.2551,022
71137.3.24.0/22137.3.24.1 to 137.3.27.254137.3.27.2551,022
72137.3.28.0/22137.3.28.1 to 137.3.31.254137.3.31.2551,022
73137.3.32.0/22137.3.32.1 to 137.3.35.254137.3.35.2551,022
74137.3.36.0/22137.3.36.1 to 137.3.39.254137.3.39.2551,022
75137.3.40.0/22137.3.40.1 to 137.3.43.254137.3.43.2551,022
76137.3.44.0/22137.3.44.1 to 137.3.47.254137.3.47.2551,022
77137.3.48.0/22137.3.48.1 to 137.3.51.254137.3.51.2551,022
78137.3.52.0/22137.3.52.1 to 137.3.55.254137.3.55.2551,022
79137.3.56.0/22137.3.56.1 to 137.3.59.254137.3.59.2551,022
80137.3.60.0/22137.3.60.1 to 137.3.63.254137.3.63.2551,022
81137.3.64.0/22137.3.64.1 to 137.3.67.254137.3.67.2551,022
82137.3.68.0/22137.3.68.1 to 137.3.71.254137.3.71.2551,022
83137.3.72.0/22137.3.72.1 to 137.3.75.254137.3.75.2551,022
84137.3.76.0/22137.3.76.1 to 137.3.79.254137.3.79.2551,022
85137.3.80.0/22137.3.80.1 to 137.3.83.254137.3.83.2551,022
86137.3.84.0/22137.3.84.1 to 137.3.87.254137.3.87.2551,022
87137.3.88.0/22137.3.88.1 to 137.3.91.254137.3.91.2551,022
88137.3.92.0/22137.3.92.1 to 137.3.95.254137.3.95.2551,022
89137.3.96.0/22137.3.96.1 to 137.3.99.254137.3.99.2551,022
90137.3.100.0/22137.3.100.1 to 137.3.103.254137.3.103.2551,022
91137.3.104.0/22137.3.104.1 to 137.3.107.254137.3.107.2551,022
92137.3.108.0/22137.3.108.1 to 137.3.111.254137.3.111.2551,022
93137.3.112.0/22137.3.112.1 to 137.3.115.254137.3.115.2551,022
94137.3.116.0/22137.3.116.1 to 137.3.119.254137.3.119.2551,022
95137.3.120.0/22137.3.120.1 to 137.3.123.254137.3.123.2551,022
96137.3.124.0/22137.3.124.1 to 137.3.127.254137.3.127.2551,022
97137.3.128.0/22137.3.128.1 to 137.3.131.254137.3.131.2551,022
98137.3.132.0/22137.3.132.1 to 137.3.135.254137.3.135.2551,022
99137.3.136.0/22137.3.136.1 to 137.3.139.254137.3.139.2551,022
100137.3.140.0/22137.3.140.1 to 137.3.143.254137.3.143.2551,022
101137.3.144.0/22137.3.144.1 to 137.3.147.254137.3.147.2551,022
102137.3.148.0/22137.3.148.1 to 137.3.151.254137.3.151.2551,022
103137.3.152.0/22137.3.152.1 to 137.3.155.254137.3.155.2551,022
104137.3.156.0/22137.3.156.1 to 137.3.159.254137.3.159.2551,022
105137.3.160.0/22137.3.160.1 to 137.3.163.254137.3.163.2551,022
106137.3.164.0/22137.3.164.1 to 137.3.167.254137.3.167.2551,022
107137.3.168.0/22137.3.168.1 to 137.3.171.254137.3.171.2551,022
108137.3.172.0/22137.3.172.1 to 137.3.175.254137.3.175.2551,022
109137.3.176.0/22137.3.176.1 to 137.3.179.254137.3.179.2551,022
110137.3.180.0/22137.3.180.1 to 137.3.183.254137.3.183.2551,022
111137.3.184.0/22137.3.184.1 to 137.3.187.254137.3.187.2551,022
112137.3.188.0/22137.3.188.1 to 137.3.191.254137.3.191.2551,022
113137.3.192.0/22137.3.192.1 to 137.3.195.254137.3.195.2551,022
114137.3.196.0/22137.3.196.1 to 137.3.199.254137.3.199.2551,022
115137.3.200.0/22137.3.200.1 to 137.3.203.254137.3.203.2551,022
116137.3.204.0/22137.3.204.1 to 137.3.207.254137.3.207.2551,022
117137.3.208.0/22137.3.208.1 to 137.3.211.254137.3.211.2551,022
118137.3.212.0/22137.3.212.1 to 137.3.215.254137.3.215.2551,022
119137.3.216.0/22137.3.216.1 to 137.3.219.254137.3.219.2551,022
120137.3.220.0/22137.3.220.1 to 137.3.223.254137.3.223.2551,022
121137.3.224.0/22137.3.224.1 to 137.3.227.254137.3.227.2551,022
122137.3.228.0/22137.3.228.1 to 137.3.231.254137.3.231.2551,022
123137.3.232.0/22137.3.232.1 to 137.3.235.254137.3.235.2551,022
124137.3.236.0/22137.3.236.1 to 137.3.239.254137.3.239.2551,022
125137.3.240.0/22137.3.240.1 to 137.3.243.254137.3.243.2551,022
126137.3.244.0/22137.3.244.1 to 137.3.247.254137.3.247.2551,022
127137.3.248.0/22137.3.248.1 to 137.3.251.254137.3.251.2551,022
128137.3.252.0/22137.3.252.1 to 137.3.255.254137.3.255.2551,022

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses